Overview | Package | Class | Tree | Deprecated | Index | Help
| Servlet 3.0 - Apache Tomcat 7.0.29
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## javax.servlet
Interface AsyncContext

    public interface AsyncContext

$Id: AsyncContext.java 1147915 2011-07-18 15:01:41Z markt $ TODO SERVLET3 - Add comments

Since:
  Servlet 3.0

Field Summary
`static java.lang.String` | `ASYNC_CONTEXT_PATH`
`static java.lang.String` | `ASYNC_PATH_INFO`
`static java.lang.String` | `ASYNC_QUERY_STRING`
`static java.lang.String` | `ASYNC_REQUEST_URI`
`static java.lang.String` | `ASYNC_SERVLET_PATH`

Method Summary
`void` | `addListener(AsyncListener listener)`
`void` | `addListener(AsyncListener listener, ServletRequest request, ServletResponse response)`
`void` | `complete()`
`
`<T extends AsyncListener> T`
` | `createListener(java.lang.Class<T> clazz)`
`void` | `dispatch()`
`void` | `dispatch(ServletContext context, java.lang.String path)`
`void` | `dispatch(java.lang.String path)`
`ServletRequest` | `getRequest()`
`ServletResponse` | `getResponse()`
`long` | `getTimeout()` Get timeout in milliseconds. 0 or less indicates no timeout.
`boolean` | `hasOriginalRequestAndResponse()`
`void` | `setTimeout(long timeout)` Set timeout in milliseconds. 0 or less indicates no timeout.
`void` | `start(java.lang.Runnable run)`

Field Detail

### ASYNC_REQUEST_URI

    static final java.lang.String ASYNC_REQUEST_URI

See Also:
  Constant Field Values

### ASYNC_CONTEXT_PATH

    static final java.lang.String ASYNC_CONTEXT_PATH

See Also:
  Constant Field Values

### ASYNC_PATH_INFO

    static final java.lang.String ASYNC_PATH_INFO

See Also:
  Constant Field Values

### ASYNC_SERVLET_PATH

    static final java.lang.String ASYNC_SERVLET_PATH

See Also:
  Constant Field Values

### ASYNC_QUERY_STRING

    static final java.lang.String ASYNC_QUERY_STRING

See Also:
  Constant Field Values

Method Detail

### getRequest

    ServletRequest getRequest()

### getResponse

    ServletResponse getResponse()

### hasOriginalRequestAndResponse

    boolean hasOriginalRequestAndResponse()

### dispatch

    void dispatch()

  Throws:
    `java.lang.IllegalStateException`

### dispatch

    void dispatch(java.lang.String path)

  Parameters:
    `path` -
  Throws:
    `java.lang.IllegalStateException`

### dispatch

    void dispatch(ServletContext context,
                  java.lang.String path)

  Parameters:
    `context` -
    `path` -
  Throws:
    `java.lang.IllegalStateException`

### complete

    void complete()

### start

    void start(java.lang.Runnable run)

### addListener

    void addListener(AsyncListener listener)

### addListener

    void addListener(AsyncListener listener,
                     ServletRequest request,
                     ServletResponse response)

### createListener

    <T extends AsyncListener> T createListener(java.lang.Class<T> clazz)
                                           throws ServletException

  Throws:
    `ServletException`

### getTimeout

    long getTimeout()

  Get timeout in milliseconds. 0 or less indicates no timeout.

### setTimeout

    void setTimeout(long timeout)

  Set timeout in milliseconds. 0 or less indicates no timeout.

Overview | Package | Class | Tree | Deprecated | Index | Help
| Servlet 3.0 - Apache Tomcat 7.0.29
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000-2012 Apache Software Foundation. All Rights Reserved.